html {
  --zdjecie-do-ulozenia: url("pic1.png");
  --kolor-ramek: #f4ecf7;
  --przezroczystosc-tla: #f4ecf744;
  --hover-przyciskow: #f4ecf733;
  --wybrany-tryb: #f4ecf788;
  --czas-transition: 0.2s;
  --glowny-kolor: #04b98f;
}

body {
  overflow: hidden;
  background: var(--kolor-ramek);
  font-family: "Open Sans";
  display: flex;
  justify-content: space-around;
}
#pojemnik {
  position: relative;
  top: -10px;
  width: 700px;
  height: 100vh;
  margin: 0;
  background: var(--glowny-kolor);
  min-width: 700px;
}
/* #pojemnik{
    position: relative;
    top: -10px;
    width: 700px;
    height: 100vh;
    margin: 0;
    background: linear-gradient(-45deg, #EE7752, #E73C7E, #23A6D5, #23D5AB);
	background-size: 400% 400%;
	-webkit-animation: Gradient 15s ease infinite;
	-moz-animation: Gradient 15s ease infinite;
	animation: Gradient 15s ease infinite;
} */
header {
  position: absolute;
  top: 0px;
  left: 0px;
  height: 250px;
  width: 100%;
}
header * {
  overflow: hidden;
  box-sizing: border-box;
}
footer {
  position: absolute;
  top: 260px;
  left: 0px;
  height: 55vh;
  width: 100%;
}
footer * {
  overflow: hidden;
  box-sizing: border-box;
}
/*sekcje w headerze*/
#sekcja1 {
  position: relative;
  top: 1%;
  left: 0px;
  height: 70%;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-content: center;
  align-items: center;
}
#sekcja2 {
  position: relative;
  top: 0px;
  left: 0px;
  height: 30%;
  width: 100%;
}
/*sekcja z miniatura obrazka*/
.zdjecie {
  width: 150px;
  height: 150px;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  /* -webkit-transition: left var(--czas-transition),top var(--czas-transition);
    transition: left var(--czas-transition),top var(--czas-transition); */
}
#zdjecie {
  /*pojemnik na zdjecie*/
  width: 150px;
  height: 150px;
  position: relative;
  border: 2px solid var(--kolor-ramek);
  box-sizing: border-box;
  /* -webkit-transition: left var(--czas-transition),top var(--czas-transition);
    transition: left var(--czas-transition),top var(--czas-transition); */
  /* overflow: scroll; */
}
#zdjecie0 {
  /*zdjecie glowne*/
  left: 0px;
  position: absolute;
}
#zdjecie1 {
  left: 150px;
  position: absolute;
}
#zdjecie2 {
  /*zdjecie na poczatku po prawej od glownego*/
  left: 300px;
  position: absolute;
}
#zdjecie3 {
  /*zdjecie na poczatku po prawej prawej od glownego*/
  left: 450px;
  position: absolute;
}
#zdjecie4 {
  /*zdjecie na poczatku po prawej prawej prawej od glownego*/
  left: 600px;
  position: absolute;
}
.strzalka {
  width: 80px;
  height: 70px;
  background-repeat: no-repeat;
  cursor: pointer;
}
#strzalka0 {
  margin-left: 25%;
  /* background-image: url("strzalkaLewo.png"); */
  background-color: var(--kolor-ramek);
  mask-image: url(strzalkaLewo.png);
  -webkit-mask-image: url(strzalkaLewo.png);
}
#strzalka1 {
  margin-right: 25%;
  /* background-image: url("strzalkaPrawo.png"); */
  background-color: var(--kolor-ramek);
  mask-image: url(strzalkaPrawo.png);
  -webkit-mask-image: url(strzalkaPrawo.png);
}
/*sekcja z licznikiem*/
/* #pojemnikLicznik{  ten umieszczany w sekcji 3, bez draggable
    border: 2px solid var(--kolor-ramek);
    background: var(--przezroczystosc-tla);
    height: 90%;
    width: 36%;
    margin:auto; 
} */
#pojemnikLicznik {
  border: 2px solid var(--kolor-ramek);
  background: var(--przezroczystosc-tla);
  height: 57px;
  width: 36%;
  margin: auto;
  position: absolute;
  cursor: all-scroll;
  box-sizing: border-box;
  z-index: 2;
  left: 32%;
  top: 240px;
}
.licznik {
  color: var(--kolor-ramek);
  width: 20%;
  height: 100%;
  top: 2%;
  float: left;
  position: relative;
  font-size: 42px;
  text-align: center;
  background: transparent;
}
.licznikMS {
  color: var(--kolor-ramek);
  width: 30%;
  height: 100%;
  top: 2%;
  float: left;
  position: relative;
  font-size: 42px;
  text-align: center;
  background: transparent;
  /* border: 1px solid black; */
}
.liczba {
  height: 100%;
  width: 50%;
  float: left;
  position: relative;
  background-size: 100% 100%;
}
.liczbaMS {
  height: 100%;
  width: 33.3%;
  float: left;
  position: relative;
  background-size: 100% 100%;
}
.znak {
  position: relative;
  float: left;
  width: 3.3%;
  top: 2%;
  height: 100%;
  background-size: 100% 100%;
}
.c0 {
  background-color: var(--kolor-ramek);
  mask-image: url(c0.png);
  -webkit-mask-image: url(c0.png);
  /* background-image: url('c0.png') !important;
    background-repeat: no-repeat; */
}
.c1 {
  background-color: var(--kolor-ramek);
  mask-image: url(c1.png);
  -webkit-mask-image: url(c1.png);
  /* background-image: url('c1.png')!important;
    background-repeat: no-repeat; */
}
.c2 {
  background-color: var(--kolor-ramek);
  mask-image: url(c2.png);
  -webkit-mask-image: url(c2.png);
  /* background-image: url('c2.png')!important;
    background-repeat: no-repeat; */
}
.c3 {
  background-color: var(--kolor-ramek);
  mask-image: url(c3.png);
  -webkit-mask-image: url(c3.png);
  /* background-image: url('c3.png')!important;
    background-repeat: no-repeat; */
}
.c4 {
  background-color: var(--kolor-ramek);
  mask-image: url(c4.png);
  -webkit-mask-image: url(c4.png);
  /* background-image: url('c4.png')!important;
    background-repeat: no-repeat; */
}
.c5 {
  background-color: var(--kolor-ramek);
  mask-image: url(c5.png);
  -webkit-mask-image: url(c5.png);
  /* background-image: url('c5.png')!important;
    background-repeat: no-repeat; */
}
.c6 {
  background-color: var(--kolor-ramek);
  mask-image: url(c6.png);
  -webkit-mask-image: url(c6.png);
  /* background-image: url('c6.png')!important;
    background-repeat: no-repeat; */
}
.c7 {
  background-color: var(--kolor-ramek);
  mask-image: url(c7.png);
  -webkit-mask-image: url(c7.png);
  /* background-image: url('c7.png')!important;
    background-repeat: no-repeat; */
}
.c8 {
  background-color: var(--kolor-ramek);
  mask-image: url(c8.png);
  -webkit-mask-image: url(c8.png);
  /* background-image: url('c8.png')!important;
    background-repeat: no-repeat; */
}
.c9 {
  background-color: var(--kolor-ramek);
  mask-image: url(c9.png);
  -webkit-mask-image: url(c9.png);
  /* background-image: url('c9.png')!important;
    background-repeat: no-repeat; */
}
.kropka {
  background-color: var(--kolor-ramek);
  mask-image: url(dot.png);
  -webkit-mask-image: url(dot.png);
  /* background-image: url('dot.png');
    background-repeat: no-repeat; */
}
.dkropek {
  background-color: var(--kolor-ramek);
  mask-image: url(colon.png);
  -webkit-mask-image: url(colon.png);
  /* background-image: url('colon.png');
    background-repeat: no-repeat; */
}

/*sekcja z buttonami*/
#pojemnikBT {
  position: absolute;
  width: 40%;
  top: 5px;
  left: 30%;
}
.przycisk {
  width: 20%;
  text-align: center;
  height: 25px;
  margin-left: 2.5%;
  margin-right: 2.5%;
  cursor: pointer;
  font-weight: bold;
  color: var(--kolor-ramek);
  border: 2px solid var(--kolor-ramek);
  background: var(--przezroczystosc-tla);
}
/*miejsce na losowanie divów*/
#pojemnikLos {
  position: relative;
  width: 40vh;
  height: 40vh;
  margin: auto;
  top: 50px;
}
#los {
  width: 40vh;
  height: 40vh;
  background: var(--kolor-ramek);
  display: none;
  position: absolute;
}
.loss {
  /*tlo*/
  /* background-image: url("pic1.png"); */
  background-repeat: no-repeat;
  background-size: 500px 500px;
  position: absolute;
  -webkit-transition: left var(--czas-transition), top var(--czas-transition);
  transition: left var(--czas-transition), top var(--czas-transition);
}

/*losowanie divów*/
.czarny {
  background: var(--kolor-ramek) !important;
  background: transparent !important;
  background-repeat: no-repeat;
  background-size: 500px 500px;
  position: absolute;
}

/*animacje*/
@-webkit-keyframes Gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

@-moz-keyframes Gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

@keyframes Gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

/*Overlay po wygranej gracza*/
#overlayWygrana {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 2;
  /* cursor: pointer; */
}
#komunikatWygrana {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 470px;
  height: 30%;
  border: 2px solid var(--kolor-ramek);
  background-color: rgba(0, 0, 0, 0.7);
  color: var(--kolor-ramek);
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
}

#headerWygrana {
  position: absolute;
  font-size: 45px;
  height: 30%;
  width: 100%;
  background: rgba(0, 0, 0, 0.7);
  padding: 7px 0;
  box-sizing: border-box;
  text-align: center;
  border-bottom: 2px solid var(--kolor-ramek);
}
#footerWygrana {
  position: absolute;
  top: 30%;
  height: 70%;
  width: 100%;
  box-sizing: border-box;
  text-align: center;
}
#gora1 {
  position: absolute;
  top: 2%;
  font-size: 40px;
  height: 20%;
  width: 100%;
  font-size: 30px;
}
#czasWygranej {
  position: absolute;
  top: 20%;
  height: 20%;
  width: 100%;
  font-size: 30px;
}
#nickGracza {
  position: absolute;
  top: 45%;
  height: 30%;
  width: 100%;
}
#warning {
  display: none;
  position: absolute;
  top: 74%;
  height: 30%;
  width: 100%;
  color: red;
  font-size: 13px;
  font-weight: bold;
  text-align: center;
}
input[type="text"] {
  height: 30px;
  margin-top: 5px;
  text-align: center;
}
#wyjscieWygrana {
  position: absolute;
  bottom: 0px !important;
  left: 35%;
  width: 30%;
  height: 30px !important;
  font-size: 18px;
  font-variant: small-caps;
  text-align: center;
  padding: 2px;
  border-top: 2px solid var(--kolor-ramek) !important;
  border-right: 2px solid var(--kolor-ramek) !important;
  border-left: 2px solid var(--kolor-ramek) !important;
  border-bottom: 0px solid !important;
  border-radius: 0px !important;
}
#wyjscieWygrana:hover {
  background: rgba(0, 0, 0, 0.7);
  cursor: pointer;
}

/*otwarcie panelu z wynikami TOP10*/
#otwarcieWyniki {
  opacity: 0.8;
  position: absolute;
  bottom: -44px;
  left: 35%;
  width: 30%;
  height: 70px;
  border: 2px solid var(--kolor-ramek);
  background: var(--przezroczystosc-tla);
  color: var(--kolor-ramek);
  font-variant: small-caps;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  line-height: 24px;
  padding: 8px 0;
}
#otwarcieWyniki:hover {
  opacity: 1;
  background: var(--przezroczystosc-tla);
  cursor: pointer;
}

/*Overlay - wyniki top 10*/
#overlayWyniki {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 2;
  /* cursor: pointer; */
}
#komunikatWyniki {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 600px;
  height: 70%;
  border: 2px solid var(--kolor-ramek);
  border-radius: 25px;
  background-color: rgba(0, 0, 0, 0.85);
  color: var(--kolor-ramek);
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
}

/*header wyniki*/
#headerWyniki {
  position: absolute;
  font-size: 45px;
  height: 18%;
  width: 100%;
  /* background: rgba(0,0,0,0.7); */
  /* padding: 7px 0; */
  box-sizing: border-box;
  text-align: center;
  /* border-bottom: 2px solid var(--kolor-ramek); */
  border-radius: 25px 25px 0 0;
}
#tytulWyniki {
  width: 100%;
  height: 60%;
  padding: 10px 0;
}
#przyciskiWyniki {
  position: absolute;
  top: 60%;
  width: 100%;
  height: 40%;
  display: flex;
  justify-content: space-around;
  align-content: center;
  align-items: center;
}
.btWyniki {
  position: relative;
  top: 16%;
  width: 120px;
  height: 30px;
  font-size: 16px;
  font-variant: small-caps;
  border: 2px solid var(--kolor-ramek);
  border-radius: 6px;
  background: rgba(0, 0, 0, 0.7);
  color: var(--kolor-ramek);
}
.btWyniki:hover {
  background: var(--hover-przyciskow);
  cursor: pointer;
}
.selected {
  background: var(--hover-przyciskow) !important;
}
button:focus {
  outline: 0;
}

/*footer wyniki*/
#footerWyniki {
  position: absolute;
  top: 18%;
  height: 82%;
  width: 100%;
  box-sizing: border-box;
  text-align: center;
}
#tabelaWyniki {
  position: absolute;
  top: 1%;
  left: 2.5%;
  height: 90%;
  width: 95%;
  color: var(--kolor-ramek);
}
#top10tabela {
  width: 100%;
  height: 100%;
}
#top10tabela th {
  border: 0px solid var(--kolor-ramek);
  border-radius: 10px;
}
.rzad1 {
  width: 20%;
}
.rzad2 {
  width: 40%;
}
.rzad3 {
  width: 40%;
}
.wyjscie {
  position: absolute;
  bottom: 5px;
  left: 35%;
  width: 30%;
  height: 33px;
  font-size: 18px;
  font-variant: small-caps;
  text-align: center;
  border: 2px solid var(--kolor-ramek);
  border-radius: 6px;
}
.wyjscie:hover {
  background: var(--hover-przyciskow);
  cursor: pointer;
}

/*kolory*/
/* #kolorPojemnik{
    position: absolute;
    left: 10px;
}
#kolor {
    z-index: 2;
} */

/*motywy strony*/
#motywPojemnik {
  position: absolute;
  right: 10px;
  top: 10px;
  width: 100px;
  height: 300px;
  background: var(--przezroczystosc-tla);
  border: 2px solid var(--kolor-ramek);
  display: flex;
  justify-content: space-around;
  align-content: center;
  align-items: center;
  flex-direction: column;
}
#motywPojemnik::selection {
  background: transparent;
}
.motyw {
  width: 90%;
  height: 30%;
  border-radius: 5px 25px 5px 25px;
  box-sizing: border-box;
  cursor: pointer;
}
#motyw1 {
  background: linear-gradient(45deg, #04b98f 50%, #f4ecf7 50%);
  border: 3px solid #04b98f;
}
#motyw3 {
  background: linear-gradient(45deg, #6e0202 50%, #f8a7a7 50%);
  border: 3px solid #6e0202;
}
#motyw2 {
  background: linear-gradient(45deg, #be4811 50%, #ffeabe 50%);
  border: 3px solid #be4811;
}
